Skip to main content
PUT
Update Bot Rate Oracle Config

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

account_name
string
default:master_account

Body

application/json

Request model for updating the rate oracle configuration.

rate_oracle_source
RateOracleSourceConfig · object | null

New rate oracle source configuration (optional)

global_token
GlobalTokenConfig · object | null

New global token configuration (optional)

rate_limits_share_pct
number | null

New share of each exchange's API rate limit for a bot instance, 1-100 (optional)

Required range: 0 < x <= 100

Response

Successful Response

Response for a bot client defaults update.

success
boolean
required

Whether the update was successful

message
string
required

Status message

config
RateOracleConfig · object
required

Updated configuration